import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { BatchExecuteStatementInput, BatchExecuteStatementOutput } from "../models/models_0";
import { deserializeAws_json1_0BatchExecuteStatementCommand, serializeAws_json1_0BatchExecuteStatementCommand, } from "../protocols/Aws_json1_0";
var BatchExecuteStatementCommand = (function (_super) {
    __extends(BatchExecuteStatementCommand, _super);
    function BatchExecuteStatementCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    BatchExecuteStatementCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DynamoDBClient";
        var commandName = "BatchExecuteStatementCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: BatchExecuteStatementInput.filterSensitiveLog,
            outputFilterSensitiveLog: BatchExecuteStatementOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    BatchExecuteStatementCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_0BatchExecuteStatementCommand(input, context);
    };
    BatchExecuteStatementCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_0BatchExecuteStatementCommand(output, context);
    };
    return BatchExecuteStatementCommand;
}($Command));
export { BatchExecuteStatementCommand };
