import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { BatchWriteItemInput, BatchWriteItemOutput } from "../models/models_0";
import { deserializeAws_json1_0BatchWriteItemCommand, serializeAws_json1_0BatchWriteItemCommand, } from "../protocols/Aws_json1_0";
var BatchWriteItemCommand = (function (_super) {
    __extends(BatchWriteItemCommand, _super);
    function BatchWriteItemCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    BatchWriteItemCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DynamoDBClient";
        var commandName = "BatchWriteItemCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: BatchWriteItemInput.filterSensitiveLog,
            outputFilterSensitiveLog: BatchWriteItemOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    BatchWriteItemCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_0BatchWriteItemCommand(input, context);
    };
    BatchWriteItemCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_0BatchWriteItemCommand(output, context);
    };
    return BatchWriteItemCommand;
}($Command));
export { BatchWriteItemCommand };
