import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateGlobalTableInput, CreateGlobalTableOutput } from "../models/models_0";
import { deserializeAws_json1_0CreateGlobalTableCommand, serializeAws_json1_0CreateGlobalTableCommand, } from "../protocols/Aws_json1_0";
var CreateGlobalTableCommand = (function (_super) {
    __extends(CreateGlobalTableCommand, _super);
    function CreateGlobalTableCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateGlobalTableCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DynamoDBClient";
        var commandName = "CreateGlobalTableCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateGlobalTableInput.filterSensitiveLog,
            outputFilterSensitiveLog: CreateGlobalTableOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateGlobalTableCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_0CreateGlobalTableCommand(input, context);
    };
    CreateGlobalTableCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_0CreateGlobalTableCommand(output, context);
    };
    return CreateGlobalTableCommand;
}($Command));
export { CreateGlobalTableCommand };
