import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateTableInput, CreateTableOutput } from "../models/models_0";
import { deserializeAws_json1_0CreateTableCommand, serializeAws_json1_0CreateTableCommand, } from "../protocols/Aws_json1_0";
var CreateTableCommand = (function (_super) {
    __extends(CreateTableCommand, _super);
    function CreateTableCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateTableCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DynamoDBClient";
        var commandName = "CreateTableCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateTableInput.filterSensitiveLog,
            outputFilterSensitiveLog: CreateTableOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateTableCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_0CreateTableCommand(input, context);
    };
    CreateTableCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_0CreateTableCommand(output, context);
    };
    return CreateTableCommand;
}($Command));
export { CreateTableCommand };
