import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteItemInput, DeleteItemOutput } from "../models/models_0";
import { deserializeAws_json1_0DeleteItemCommand, serializeAws_json1_0DeleteItemCommand, } from "../protocols/Aws_json1_0";
var DeleteItemCommand = (function (_super) {
    __extends(DeleteItemCommand, _super);
    function DeleteItemCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteItemCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DynamoDBClient";
        var commandName = "DeleteItemCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteItemInput.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteItemOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteItemCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_0DeleteItemCommand(input, context);
    };
    DeleteItemCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_0DeleteItemCommand(output, context);
    };
    return DeleteItemCommand;
}($Command));
export { DeleteItemCommand };
