import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeBackupInput, DescribeBackupOutput } from "../models/models_0";
import { deserializeAws_json1_0DescribeBackupCommand, serializeAws_json1_0DescribeBackupCommand, } from "../protocols/Aws_json1_0";
var DescribeBackupCommand = (function (_super) {
    __extends(DescribeBackupCommand, _super);
    function DescribeBackupCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeBackupCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DynamoDBClient";
        var commandName = "DescribeBackupCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeBackupInput.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeBackupOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeBackupCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_0DescribeBackupCommand(input, context);
    };
    DescribeBackupCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_0DescribeBackupCommand(output, context);
    };
    return DescribeBackupCommand;
}($Command));
export { DescribeBackupCommand };
