import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeContinuousBackupsInput, DescribeContinuousBackupsOutput } from "../models/models_0";
import { deserializeAws_json1_0DescribeContinuousBackupsCommand, serializeAws_json1_0DescribeContinuousBackupsCommand, } from "../protocols/Aws_json1_0";
var DescribeContinuousBackupsCommand = (function (_super) {
    __extends(DescribeContinuousBackupsCommand, _super);
    function DescribeContinuousBackupsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeContinuousBackupsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DynamoDBClient";
        var commandName = "DescribeContinuousBackupsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeContinuousBackupsInput.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeContinuousBackupsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeContinuousBackupsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_0DescribeContinuousBackupsCommand(input, context);
    };
    DescribeContinuousBackupsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_0DescribeContinuousBackupsCommand(output, context);
    };
    return DescribeContinuousBackupsCommand;
}($Command));
export { DescribeContinuousBackupsCommand };
