import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeContributorInsightsInput, DescribeContributorInsightsOutput } from "../models/models_0";
import { deserializeAws_json1_0DescribeContributorInsightsCommand, serializeAws_json1_0DescribeContributorInsightsCommand, } from "../protocols/Aws_json1_0";
var DescribeContributorInsightsCommand = (function (_super) {
    __extends(DescribeContributorInsightsCommand, _super);
    function DescribeContributorInsightsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeContributorInsightsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DynamoDBClient";
        var commandName = "DescribeContributorInsightsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeContributorInsightsInput.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeContributorInsightsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeContributorInsightsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_0DescribeContributorInsightsCommand(input, context);
    };
    DescribeContributorInsightsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_0DescribeContributorInsightsCommand(output, context);
    };
    return DescribeContributorInsightsCommand;
}($Command));
export { DescribeContributorInsightsCommand };
