import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeGlobalTableInput, DescribeGlobalTableOutput } from "../models/models_0";
import { deserializeAws_json1_0DescribeGlobalTableCommand, serializeAws_json1_0DescribeGlobalTableCommand, } from "../protocols/Aws_json1_0";
var DescribeGlobalTableCommand = (function (_super) {
    __extends(DescribeGlobalTableCommand, _super);
    function DescribeGlobalTableCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeGlobalTableCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DynamoDBClient";
        var commandName = "DescribeGlobalTableCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeGlobalTableInput.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeGlobalTableOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeGlobalTableCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_0DescribeGlobalTableCommand(input, context);
    };
    DescribeGlobalTableCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_0DescribeGlobalTableCommand(output, context);
    };
    return DescribeGlobalTableCommand;
}($Command));
export { DescribeGlobalTableCommand };
