import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeGlobalTableSettingsInput, DescribeGlobalTableSettingsOutput } from "../models/models_0";
import { deserializeAws_json1_0DescribeGlobalTableSettingsCommand, serializeAws_json1_0DescribeGlobalTableSettingsCommand, } from "../protocols/Aws_json1_0";
var DescribeGlobalTableSettingsCommand = (function (_super) {
    __extends(DescribeGlobalTableSettingsCommand, _super);
    function DescribeGlobalTableSettingsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeGlobalTableSettingsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DynamoDBClient";
        var commandName = "DescribeGlobalTableSettingsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeGlobalTableSettingsInput.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeGlobalTableSettingsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeGlobalTableSettingsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_0DescribeGlobalTableSettingsCommand(input, context);
    };
    DescribeGlobalTableSettingsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_0DescribeGlobalTableSettingsCommand(output, context);
    };
    return DescribeGlobalTableSettingsCommand;
}($Command));
export { DescribeGlobalTableSettingsCommand };
