import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeTableReplicaAutoScalingInput, DescribeTableReplicaAutoScalingOutput } from "../models/models_0";
import { deserializeAws_json1_0DescribeTableReplicaAutoScalingCommand, serializeAws_json1_0DescribeTableReplicaAutoScalingCommand, } from "../protocols/Aws_json1_0";
var DescribeTableReplicaAutoScalingCommand = (function (_super) {
    __extends(DescribeTableReplicaAutoScalingCommand, _super);
    function DescribeTableReplicaAutoScalingCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeTableReplicaAutoScalingCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DynamoDBClient";
        var commandName = "DescribeTableReplicaAutoScalingCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeTableReplicaAutoScalingInput.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeTableReplicaAutoScalingOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeTableReplicaAutoScalingCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_0DescribeTableReplicaAutoScalingCommand(input, context);
    };
    DescribeTableReplicaAutoScalingCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_0DescribeTableReplicaAutoScalingCommand(output, context);
    };
    return DescribeTableReplicaAutoScalingCommand;
}($Command));
export { DescribeTableReplicaAutoScalingCommand };
