import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ExecuteTransactionInput, ExecuteTransactionOutput } from "../models/models_0";
import { deserializeAws_json1_0ExecuteTransactionCommand, serializeAws_json1_0ExecuteTransactionCommand, } from "../protocols/Aws_json1_0";
var ExecuteTransactionCommand = (function (_super) {
    __extends(ExecuteTransactionCommand, _super);
    function ExecuteTransactionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ExecuteTransactionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DynamoDBClient";
        var commandName = "ExecuteTransactionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ExecuteTransactionInput.filterSensitiveLog,
            outputFilterSensitiveLog: ExecuteTransactionOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ExecuteTransactionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_0ExecuteTransactionCommand(input, context);
    };
    ExecuteTransactionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_0ExecuteTransactionCommand(output, context);
    };
    return ExecuteTransactionCommand;
}($Command));
export { ExecuteTransactionCommand };
