import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetItemInput, GetItemOutput } from "../models/models_0";
import { deserializeAws_json1_0GetItemCommand, serializeAws_json1_0GetItemCommand } from "../protocols/Aws_json1_0";
var GetItemCommand = (function (_super) {
    __extends(GetItemCommand, _super);
    function GetItemCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetItemCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DynamoDBClient";
        var commandName = "GetItemCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetItemInput.filterSensitiveLog,
            outputFilterSensitiveLog: GetItemOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetItemCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_0GetItemCommand(input, context);
    };
    GetItemCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_0GetItemCommand(output, context);
    };
    return GetItemCommand;
}($Command));
export { GetItemCommand };
