import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListGlobalTablesInput, ListGlobalTablesOutput } from "../models/models_0";
import { deserializeAws_json1_0ListGlobalTablesCommand, serializeAws_json1_0ListGlobalTablesCommand, } from "../protocols/Aws_json1_0";
var ListGlobalTablesCommand = (function (_super) {
    __extends(ListGlobalTablesCommand, _super);
    function ListGlobalTablesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListGlobalTablesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DynamoDBClient";
        var commandName = "ListGlobalTablesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListGlobalTablesInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListGlobalTablesOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListGlobalTablesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_0ListGlobalTablesCommand(input, context);
    };
    ListGlobalTablesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_0ListGlobalTablesCommand(output, context);
    };
    return ListGlobalTablesCommand;
}($Command));
export { ListGlobalTablesCommand };
