import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { RestoreTableFromBackupInput, RestoreTableFromBackupOutput } from "../models/models_0";
import { deserializeAws_json1_0RestoreTableFromBackupCommand, serializeAws_json1_0RestoreTableFromBackupCommand, } from "../protocols/Aws_json1_0";
var RestoreTableFromBackupCommand = (function (_super) {
    __extends(RestoreTableFromBackupCommand, _super);
    function RestoreTableFromBackupCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    RestoreTableFromBackupCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DynamoDBClient";
        var commandName = "RestoreTableFromBackupCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: RestoreTableFromBackupInput.filterSensitiveLog,
            outputFilterSensitiveLog: RestoreTableFromBackupOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    RestoreTableFromBackupCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_0RestoreTableFromBackupCommand(input, context);
    };
    RestoreTableFromBackupCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_0RestoreTableFromBackupCommand(output, context);
    };
    return RestoreTableFromBackupCommand;
}($Command));
export { RestoreTableFromBackupCommand };
