import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { TransactGetItemsInput, TransactGetItemsOutput } from "../models/models_0";
import { deserializeAws_json1_0TransactGetItemsCommand, serializeAws_json1_0TransactGetItemsCommand, } from "../protocols/Aws_json1_0";
var TransactGetItemsCommand = (function (_super) {
    __extends(TransactGetItemsCommand, _super);
    function TransactGetItemsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    TransactGetItemsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DynamoDBClient";
        var commandName = "TransactGetItemsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: TransactGetItemsInput.filterSensitiveLog,
            outputFilterSensitiveLog: TransactGetItemsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    TransactGetItemsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_0TransactGetItemsCommand(input, context);
    };
    TransactGetItemsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_0TransactGetItemsCommand(output, context);
    };
    return TransactGetItemsCommand;
}($Command));
export { TransactGetItemsCommand };
