import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateContinuousBackupsInput, UpdateContinuousBackupsOutput } from "../models/models_0";
import { deserializeAws_json1_0UpdateContinuousBackupsCommand, serializeAws_json1_0UpdateContinuousBackupsCommand, } from "../protocols/Aws_json1_0";
var UpdateContinuousBackupsCommand = (function (_super) {
    __extends(UpdateContinuousBackupsCommand, _super);
    function UpdateContinuousBackupsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateContinuousBackupsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DynamoDBClient";
        var commandName = "UpdateContinuousBackupsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateContinuousBackupsInput.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateContinuousBackupsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateContinuousBackupsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_0UpdateContinuousBackupsCommand(input, context);
    };
    UpdateContinuousBackupsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_0UpdateContinuousBackupsCommand(output, context);
    };
    return UpdateContinuousBackupsCommand;
}($Command));
export { UpdateContinuousBackupsCommand };
