import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateItemInput, UpdateItemOutput } from "../models/models_0";
import { deserializeAws_json1_0UpdateItemCommand, serializeAws_json1_0UpdateItemCommand, } from "../protocols/Aws_json1_0";
var UpdateItemCommand = (function (_super) {
    __extends(UpdateItemCommand, _super);
    function UpdateItemCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateItemCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DynamoDBClient";
        var commandName = "UpdateItemCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateItemInput.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateItemOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateItemCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_0UpdateItemCommand(input, context);
    };
    UpdateItemCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_0UpdateItemCommand(output, context);
    };
    return UpdateItemCommand;
}($Command));
export { UpdateItemCommand };
