import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import { BatchExecuteStatementCommandInput, BatchExecuteStatementCommandOutput } from "../commands/BatchExecuteStatementCommand";
import { BatchGetItemCommandInput, BatchGetItemCommandOutput } from "../commands/BatchGetItemCommand";
import { BatchWriteItemCommandInput, BatchWriteItemCommandOutput } from "../commands/BatchWriteItemCommand";
import { CreateBackupCommandInput, CreateBackupCommandOutput } from "../commands/CreateBackupCommand";
import { CreateGlobalTableCommandInput, CreateGlobalTableCommandOutput } from "../commands/CreateGlobalTableCommand";
import { CreateTableCommandInput, CreateTableCommandOutput } from "../commands/CreateTableCommand";
import { DeleteBackupCommandInput, DeleteBackupCommandOutput } from "../commands/DeleteBackupCommand";
import { DeleteItemCommandInput, DeleteItemCommandOutput } from "../commands/DeleteItemCommand";
import { DeleteTableCommandInput, DeleteTableCommandOutput } from "../commands/DeleteTableCommand";
import { DescribeBackupCommandInput, DescribeBackupCommandOutput } from "../commands/DescribeBackupCommand";
import { DescribeContinuousBackupsCommandInput, DescribeContinuousBackupsCommandOutput } from "../commands/DescribeContinuousBackupsCommand";
import { DescribeContributorInsightsCommandInput, DescribeContributorInsightsCommandOutput } from "../commands/DescribeContributorInsightsCommand";
import { DescribeEndpointsCommandInput, DescribeEndpointsCommandOutput } from "../commands/DescribeEndpointsCommand";
import { DescribeExportCommandInput, DescribeExportCommandOutput } from "../commands/DescribeExportCommand";
import { DescribeGlobalTableCommandInput, DescribeGlobalTableCommandOutput } from "../commands/DescribeGlobalTableCommand";
import { DescribeGlobalTableSettingsCommandInput, DescribeGlobalTableSettingsCommandOutput } from "../commands/DescribeGlobalTableSettingsCommand";
import { DescribeKinesisStreamingDestinationCommandInput, DescribeKinesisStreamingDestinationCommandOutput } from "../commands/DescribeKinesisStreamingDestinationCommand";
import { DescribeLimitsCommandInput, DescribeLimitsCommandOutput } from "../commands/DescribeLimitsCommand";
import { DescribeTableCommandInput, DescribeTableCommandOutput } from "../commands/DescribeTableCommand";
import { DescribeTableReplicaAutoScalingCommandInput, DescribeTableReplicaAutoScalingCommandOutput } from "../commands/DescribeTableReplicaAutoScalingCommand";
import { DescribeTimeToLiveCommandInput, DescribeTimeToLiveCommandOutput } from "../commands/DescribeTimeToLiveCommand";
import { DisableKinesisStreamingDestinationCommandInput, DisableKinesisStreamingDestinationCommandOutput } from "../commands/DisableKinesisStreamingDestinationCommand";
import { EnableKinesisStreamingDestinationCommandInput, EnableKinesisStreamingDestinationCommandOutput } from "../commands/EnableKinesisStreamingDestinationCommand";
import { ExecuteStatementCommandInput, ExecuteStatementCommandOutput } from "../commands/ExecuteStatementCommand";
import { ExecuteTransactionCommandInput, ExecuteTransactionCommandOutput } from "../commands/ExecuteTransactionCommand";
import { ExportTableToPointInTimeCommandInput, ExportTableToPointInTimeCommandOutput } from "../commands/ExportTableToPointInTimeCommand";
import { GetItemCommandInput, GetItemCommandOutput } from "../commands/GetItemCommand";
import { ListBackupsCommandInput, ListBackupsCommandOutput } from "../commands/ListBackupsCommand";
import { ListContributorInsightsCommandInput, ListContributorInsightsCommandOutput } from "../commands/ListContributorInsightsCommand";
import { ListExportsCommandInput, ListExportsCommandOutput } from "../commands/ListExportsCommand";
import { ListGlobalTablesCommandInput, ListGlobalTablesCommandOutput } from "../commands/ListGlobalTablesCommand";
import { ListTablesCommandInput, ListTablesCommandOutput } from "../commands/ListTablesCommand";
import { ListTagsOfResourceCommandInput, ListTagsOfResourceCommandOutput } from "../commands/ListTagsOfResourceCommand";
import { PutItemCommandInput, PutItemCommandOutput } from "../commands/PutItemCommand";
import { QueryCommandInput, QueryCommandOutput } from "../commands/QueryCommand";
import { RestoreTableFromBackupCommandInput, RestoreTableFromBackupCommandOutput } from "../commands/RestoreTableFromBackupCommand";
import { RestoreTableToPointInTimeCommandInput, RestoreTableToPointInTimeCommandOutput } from "../commands/RestoreTableToPointInTimeCommand";
import { ScanCommandInput, ScanCommandOutput } from "../commands/ScanCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { TransactGetItemsCommandInput, TransactGetItemsCommandOutput } from "../commands/TransactGetItemsCommand";
import { TransactWriteItemsCommandInput, TransactWriteItemsCommandOutput } from "../commands/TransactWriteItemsCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateContinuousBackupsCommandInput, UpdateContinuousBackupsCommandOutput } from "../commands/UpdateContinuousBackupsCommand";
import { UpdateContributorInsightsCommandInput, UpdateContributorInsightsCommandOutput } from "../commands/UpdateContributorInsightsCommand";
import { UpdateGlobalTableCommandInput, UpdateGlobalTableCommandOutput } from "../commands/UpdateGlobalTableCommand";
import { UpdateGlobalTableSettingsCommandInput, UpdateGlobalTableSettingsCommandOutput } from "../commands/UpdateGlobalTableSettingsCommand";
import { UpdateItemCommandInput, UpdateItemCommandOutput } from "../commands/UpdateItemCommand";
import { UpdateTableCommandInput, UpdateTableCommandOutput } from "../commands/UpdateTableCommand";
import { UpdateTableReplicaAutoScalingCommandInput, UpdateTableReplicaAutoScalingCommandOutput } from "../commands/UpdateTableReplicaAutoScalingCommand";
import { UpdateTimeToLiveCommandInput, UpdateTimeToLiveCommandOutput } from "../commands/UpdateTimeToLiveCommand";
export declare const serializeAws_json1_0BatchExecuteStatementCommand: (input: BatchExecuteStatementCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0BatchGetItemCommand: (input: BatchGetItemCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0BatchWriteItemCommand: (input: BatchWriteItemCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0CreateBackupCommand: (input: CreateBackupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0CreateGlobalTableCommand: (input: CreateGlobalTableCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0CreateTableCommand: (input: CreateTableCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0DeleteBackupCommand: (input: DeleteBackupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0DeleteItemCommand: (input: DeleteItemCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0DeleteTableCommand: (input: DeleteTableCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0DescribeBackupCommand: (input: DescribeBackupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0DescribeContinuousBackupsCommand: (input: DescribeContinuousBackupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0DescribeContributorInsightsCommand: (input: DescribeContributorInsightsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0DescribeEndpointsCommand: (input: DescribeEndpointsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0DescribeExportCommand: (input: DescribeExportCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0DescribeGlobalTableCommand: (input: DescribeGlobalTableCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0DescribeGlobalTableSettingsCommand: (input: DescribeGlobalTableSettingsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0DescribeKinesisStreamingDestinationCommand: (input: DescribeKinesisStreamingDestinationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0DescribeLimitsCommand: (input: DescribeLimitsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0DescribeTableCommand: (input: DescribeTableCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0DescribeTableReplicaAutoScalingCommand: (input: DescribeTableReplicaAutoScalingCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0DescribeTimeToLiveCommand: (input: DescribeTimeToLiveCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0DisableKinesisStreamingDestinationCommand: (input: DisableKinesisStreamingDestinationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0EnableKinesisStreamingDestinationCommand: (input: EnableKinesisStreamingDestinationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0ExecuteStatementCommand: (input: ExecuteStatementCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0ExecuteTransactionCommand: (input: ExecuteTransactionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0ExportTableToPointInTimeCommand: (input: ExportTableToPointInTimeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0GetItemCommand: (input: GetItemCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0ListBackupsCommand: (input: ListBackupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0ListContributorInsightsCommand: (input: ListContributorInsightsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0ListExportsCommand: (input: ListExportsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0ListGlobalTablesCommand: (input: ListGlobalTablesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0ListTablesCommand: (input: ListTablesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0ListTagsOfResourceCommand: (input: ListTagsOfResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0PutItemCommand: (input: PutItemCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0QueryCommand: (input: QueryCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0RestoreTableFromBackupCommand: (input: RestoreTableFromBackupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0RestoreTableToPointInTimeCommand: (input: RestoreTableToPointInTimeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0ScanCommand: (input: ScanCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0TransactGetItemsCommand: (input: TransactGetItemsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0TransactWriteItemsCommand: (input: TransactWriteItemsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0UpdateContinuousBackupsCommand: (input: UpdateContinuousBackupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0UpdateContributorInsightsCommand: (input: UpdateContributorInsightsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0UpdateGlobalTableCommand: (input: UpdateGlobalTableCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0UpdateGlobalTableSettingsCommand: (input: UpdateGlobalTableSettingsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0UpdateItemCommand: (input: UpdateItemCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0UpdateTableCommand: (input: UpdateTableCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0UpdateTableReplicaAutoScalingCommand: (input: UpdateTableReplicaAutoScalingCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_0UpdateTimeToLiveCommand: (input: UpdateTimeToLiveCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const deserializeAws_json1_0BatchExecuteStatementCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchExecuteStatementCommandOutput>;
export declare const deserializeAws_json1_0BatchGetItemCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchGetItemCommandOutput>;
export declare const deserializeAws_json1_0BatchWriteItemCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchWriteItemCommandOutput>;
export declare const deserializeAws_json1_0CreateBackupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateBackupCommandOutput>;
export declare const deserializeAws_json1_0CreateGlobalTableCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateGlobalTableCommandOutput>;
export declare const deserializeAws_json1_0CreateTableCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateTableCommandOutput>;
export declare const deserializeAws_json1_0DeleteBackupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteBackupCommandOutput>;
export declare const deserializeAws_json1_0DeleteItemCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteItemCommandOutput>;
export declare const deserializeAws_json1_0DeleteTableCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteTableCommandOutput>;
export declare const deserializeAws_json1_0DescribeBackupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeBackupCommandOutput>;
export declare const deserializeAws_json1_0DescribeContinuousBackupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeContinuousBackupsCommandOutput>;
export declare const deserializeAws_json1_0DescribeContributorInsightsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeContributorInsightsCommandOutput>;
export declare const deserializeAws_json1_0DescribeEndpointsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeEndpointsCommandOutput>;
export declare const deserializeAws_json1_0DescribeExportCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeExportCommandOutput>;
export declare const deserializeAws_json1_0DescribeGlobalTableCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeGlobalTableCommandOutput>;
export declare const deserializeAws_json1_0DescribeGlobalTableSettingsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeGlobalTableSettingsCommandOutput>;
export declare const deserializeAws_json1_0DescribeKinesisStreamingDestinationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeKinesisStreamingDestinationCommandOutput>;
export declare const deserializeAws_json1_0DescribeLimitsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeLimitsCommandOutput>;
export declare const deserializeAws_json1_0DescribeTableCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeTableCommandOutput>;
export declare const deserializeAws_json1_0DescribeTableReplicaAutoScalingCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeTableReplicaAutoScalingCommandOutput>;
export declare const deserializeAws_json1_0DescribeTimeToLiveCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeTimeToLiveCommandOutput>;
export declare const deserializeAws_json1_0DisableKinesisStreamingDestinationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisableKinesisStreamingDestinationCommandOutput>;
export declare const deserializeAws_json1_0EnableKinesisStreamingDestinationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<EnableKinesisStreamingDestinationCommandOutput>;
export declare const deserializeAws_json1_0ExecuteStatementCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ExecuteStatementCommandOutput>;
export declare const deserializeAws_json1_0ExecuteTransactionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ExecuteTransactionCommandOutput>;
export declare const deserializeAws_json1_0ExportTableToPointInTimeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ExportTableToPointInTimeCommandOutput>;
export declare const deserializeAws_json1_0GetItemCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetItemCommandOutput>;
export declare const deserializeAws_json1_0ListBackupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListBackupsCommandOutput>;
export declare const deserializeAws_json1_0ListContributorInsightsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListContributorInsightsCommandOutput>;
export declare const deserializeAws_json1_0ListExportsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListExportsCommandOutput>;
export declare const deserializeAws_json1_0ListGlobalTablesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListGlobalTablesCommandOutput>;
export declare const deserializeAws_json1_0ListTablesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTablesCommandOutput>;
export declare const deserializeAws_json1_0ListTagsOfResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsOfResourceCommandOutput>;
export declare const deserializeAws_json1_0PutItemCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutItemCommandOutput>;
export declare const deserializeAws_json1_0QueryCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<QueryCommandOutput>;
export declare const deserializeAws_json1_0RestoreTableFromBackupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RestoreTableFromBackupCommandOutput>;
export declare const deserializeAws_json1_0RestoreTableToPointInTimeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RestoreTableToPointInTimeCommandOutput>;
export declare const deserializeAws_json1_0ScanCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ScanCommandOutput>;
export declare const deserializeAws_json1_0TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
export declare const deserializeAws_json1_0TransactGetItemsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TransactGetItemsCommandOutput>;
export declare const deserializeAws_json1_0TransactWriteItemsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TransactWriteItemsCommandOutput>;
export declare const deserializeAws_json1_0UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
export declare const deserializeAws_json1_0UpdateContinuousBackupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateContinuousBackupsCommandOutput>;
export declare const deserializeAws_json1_0UpdateContributorInsightsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateContributorInsightsCommandOutput>;
export declare const deserializeAws_json1_0UpdateGlobalTableCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateGlobalTableCommandOutput>;
export declare const deserializeAws_json1_0UpdateGlobalTableSettingsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateGlobalTableSettingsCommandOutput>;
export declare const deserializeAws_json1_0UpdateItemCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateItemCommandOutput>;
export declare const deserializeAws_json1_0UpdateTableCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateTableCommandOutput>;
export declare const deserializeAws_json1_0UpdateTableReplicaAutoScalingCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateTableReplicaAutoScalingCommandOutput>;
export declare const deserializeAws_json1_0UpdateTimeToLiveCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateTimeToLiveCommandOutput>;
