"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Endpoint = exports.ListEndpointsByPlatformApplicationInput = exports.GetTopicAttributesResponse = exports.GetTopicAttributesInput = exports.GetSubscriptionAttributesResponse = exports.GetSubscriptionAttributesInput = exports.GetSMSSandboxAccountStatusResult = exports.GetSMSSandboxAccountStatusInput = exports.GetSMSAttributesResponse = exports.GetSMSAttributesInput = exports.GetPlatformApplicationAttributesResponse = exports.GetPlatformApplicationAttributesInput = exports.GetEndpointAttributesResponse = exports.GetEndpointAttributesInput = exports.DeleteTopicInput = exports.ResourceNotFoundException = exports.DeleteSMSSandboxPhoneNumberResult = exports.DeleteSMSSandboxPhoneNumberInput = exports.DeletePlatformApplicationInput = exports.DeleteEndpointInput = exports.TopicLimitExceededException = exports.TagPolicyException = exports.TagLimitExceededException = exports.StaleTagException = exports.InvalidSecurityException = exports.CreateTopicResponse = exports.CreateTopicInput = exports.Tag = exports.ConcurrentAccessException = exports.UserErrorException = exports.OptedOutException = exports.CreateSMSSandboxPhoneNumberResult = exports.CreateSMSSandboxPhoneNumberInput = exports.LanguageCodeString = exports.CreatePlatformEndpointInput = exports.CreateEndpointResponse = exports.CreatePlatformApplicationResponse = exports.CreatePlatformApplicationInput = exports.SubscriptionLimitExceededException = exports.FilterPolicyLimitExceededException = exports.ConfirmSubscriptionResponse = exports.ConfirmSubscriptionInput = exports.ThrottledException = exports.CheckIfPhoneNumberIsOptedOutResponse = exports.CheckIfPhoneNumberIsOptedOutInput = exports.NotFoundException = exports.InvalidParameterException = exports.InternalErrorException = exports.AuthorizationErrorException = exports.AddPermissionInput = void 0;
exports.TooManyEntriesInBatchRequestException = exports.PublishBatchResponse = exports.PublishBatchResultEntry = exports.BatchResultErrorEntry = exports.PublishBatchInput = exports.PublishBatchRequestEntry = exports.InvalidBatchEntryIdException = exports.EmptyBatchRequestException = exports.BatchRequestTooLongException = exports.BatchEntryIdsNotDistinctException = exports.PublishResponse = exports.PublishInput = exports.MessageAttributeValue = exports.PlatformApplicationDisabledException = exports.KMSThrottlingException = exports.KMSOptInRequired = exports.KMSNotFoundException = exports.KMSInvalidStateException = exports.KMSDisabledException = exports.KMSAccessDeniedException = exports.InvalidParameterValueException = exports.EndpointDisabledException = exports.OptInPhoneNumberResponse = exports.OptInPhoneNumberInput = exports.ListTopicsResponse = exports.Topic = exports.ListTopicsInput = exports.ListTagsForResourceResponse = exports.ListTagsForResourceRequest = exports.ListSubscriptionsByTopicResponse = exports.ListSubscriptionsByTopicInput = exports.ListSubscriptionsResponse = exports.Subscription = exports.ListSubscriptionsInput = exports.ListSMSSandboxPhoneNumbersResult = exports.SMSSandboxPhoneNumber = exports.SMSSandboxPhoneNumberVerificationStatus = exports.ListSMSSandboxPhoneNumbersInput = exports.ListPlatformApplicationsResponse = exports.PlatformApplication = exports.ListPlatformApplicationsInput = exports.ListPhoneNumbersOptedOutResponse = exports.ListPhoneNumbersOptedOutInput = exports.ValidationException = exports.ListOriginationNumbersResult = exports.PhoneNumberInformation = exports.RouteType = exports.NumberCapability = exports.ListOriginationNumbersRequest = exports.ListEndpointsByPlatformApplicationResponse = void 0;
exports.VerifySMSSandboxPhoneNumberResult = exports.VerifySMSSandboxPhoneNumberInput = exports.VerificationException = exports.UntagResourceResponse = exports.UntagResourceRequest = exports.UnsubscribeInput = exports.TagResourceResponse = exports.TagResourceRequest = exports.SubscribeResponse = exports.SubscribeInput = exports.SetTopicAttributesInput = exports.SetSubscriptionAttributesInput = exports.SetSMSAttributesResponse = exports.SetSMSAttributesInput = exports.SetPlatformApplicationAttributesInput = exports.SetEndpointAttributesInput = exports.RemovePermissionInput = void 0;
const SNSServiceException_1 = require("./SNSServiceException");
var AddPermissionInput;
(function (AddPermissionInput) {
    AddPermissionInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AddPermissionInput = exports.AddPermissionInput || (exports.AddPermissionInput = {}));
class AuthorizationErrorException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "AuthorizationErrorException",
            $fault: "client",
            ...opts,
        });
        this.name = "AuthorizationErrorException";
        this.$fault = "client";
        Object.setPrototypeOf(this, AuthorizationErrorException.prototype);
    }
}
exports.AuthorizationErrorException = AuthorizationErrorException;
class InternalErrorException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "InternalErrorException",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalErrorException";
        this.$fault = "server";
        Object.setPrototypeOf(this, InternalErrorException.prototype);
    }
}
exports.InternalErrorException = InternalErrorException;
class InvalidParameterException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "InvalidParameterException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidParameterException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidParameterException.prototype);
    }
}
exports.InvalidParameterException = InvalidParameterException;
class NotFoundException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "NotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "NotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, NotFoundException.prototype);
    }
}
exports.NotFoundException = NotFoundException;
var CheckIfPhoneNumberIsOptedOutInput;
(function (CheckIfPhoneNumberIsOptedOutInput) {
    CheckIfPhoneNumberIsOptedOutInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CheckIfPhoneNumberIsOptedOutInput = exports.CheckIfPhoneNumberIsOptedOutInput || (exports.CheckIfPhoneNumberIsOptedOutInput = {}));
var CheckIfPhoneNumberIsOptedOutResponse;
(function (CheckIfPhoneNumberIsOptedOutResponse) {
    CheckIfPhoneNumberIsOptedOutResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CheckIfPhoneNumberIsOptedOutResponse = exports.CheckIfPhoneNumberIsOptedOutResponse || (exports.CheckIfPhoneNumberIsOptedOutResponse = {}));
class ThrottledException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "ThrottledException",
            $fault: "client",
            ...opts,
        });
        this.name = "ThrottledException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ThrottledException.prototype);
    }
}
exports.ThrottledException = ThrottledException;
var ConfirmSubscriptionInput;
(function (ConfirmSubscriptionInput) {
    ConfirmSubscriptionInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ConfirmSubscriptionInput = exports.ConfirmSubscriptionInput || (exports.ConfirmSubscriptionInput = {}));
var ConfirmSubscriptionResponse;
(function (ConfirmSubscriptionResponse) {
    ConfirmSubscriptionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ConfirmSubscriptionResponse = exports.ConfirmSubscriptionResponse || (exports.ConfirmSubscriptionResponse = {}));
class FilterPolicyLimitExceededException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "FilterPolicyLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "FilterPolicyLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, FilterPolicyLimitExceededException.prototype);
    }
}
exports.FilterPolicyLimitExceededException = FilterPolicyLimitExceededException;
class SubscriptionLimitExceededException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "SubscriptionLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "SubscriptionLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, SubscriptionLimitExceededException.prototype);
    }
}
exports.SubscriptionLimitExceededException = SubscriptionLimitExceededException;
var CreatePlatformApplicationInput;
(function (CreatePlatformApplicationInput) {
    CreatePlatformApplicationInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreatePlatformApplicationInput = exports.CreatePlatformApplicationInput || (exports.CreatePlatformApplicationInput = {}));
var CreatePlatformApplicationResponse;
(function (CreatePlatformApplicationResponse) {
    CreatePlatformApplicationResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreatePlatformApplicationResponse = exports.CreatePlatformApplicationResponse || (exports.CreatePlatformApplicationResponse = {}));
var CreateEndpointResponse;
(function (CreateEndpointResponse) {
    CreateEndpointResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateEndpointResponse = exports.CreateEndpointResponse || (exports.CreateEndpointResponse = {}));
var CreatePlatformEndpointInput;
(function (CreatePlatformEndpointInput) {
    CreatePlatformEndpointInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreatePlatformEndpointInput = exports.CreatePlatformEndpointInput || (exports.CreatePlatformEndpointInput = {}));
var LanguageCodeString;
(function (LanguageCodeString) {
    LanguageCodeString["de_DE"] = "de-DE";
    LanguageCodeString["en_GB"] = "en-GB";
    LanguageCodeString["en_US"] = "en-US";
    LanguageCodeString["es_419"] = "es-419";
    LanguageCodeString["es_ES"] = "es-ES";
    LanguageCodeString["fr_CA"] = "fr-CA";
    LanguageCodeString["fr_FR"] = "fr-FR";
    LanguageCodeString["it_IT"] = "it-IT";
    LanguageCodeString["jp_JP"] = "ja-JP";
    LanguageCodeString["kr_KR"] = "kr-KR";
    LanguageCodeString["pt_BR"] = "pt-BR";
    LanguageCodeString["zh_CN"] = "zh-CN";
    LanguageCodeString["zh_TW"] = "zh-TW";
})(LanguageCodeString = exports.LanguageCodeString || (exports.LanguageCodeString = {}));
var CreateSMSSandboxPhoneNumberInput;
(function (CreateSMSSandboxPhoneNumberInput) {
    CreateSMSSandboxPhoneNumberInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateSMSSandboxPhoneNumberInput = exports.CreateSMSSandboxPhoneNumberInput || (exports.CreateSMSSandboxPhoneNumberInput = {}));
var CreateSMSSandboxPhoneNumberResult;
(function (CreateSMSSandboxPhoneNumberResult) {
    CreateSMSSandboxPhoneNumberResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateSMSSandboxPhoneNumberResult = exports.CreateSMSSandboxPhoneNumberResult || (exports.CreateSMSSandboxPhoneNumberResult = {}));
class OptedOutException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "OptedOutException",
            $fault: "client",
            ...opts,
        });
        this.name = "OptedOutException";
        this.$fault = "client";
        Object.setPrototypeOf(this, OptedOutException.prototype);
    }
}
exports.OptedOutException = OptedOutException;
class UserErrorException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "UserErrorException",
            $fault: "client",
            ...opts,
        });
        this.name = "UserErrorException";
        this.$fault = "client";
        Object.setPrototypeOf(this, UserErrorException.prototype);
    }
}
exports.UserErrorException = UserErrorException;
class ConcurrentAccessException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "ConcurrentAccessException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConcurrentAccessException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConcurrentAccessException.prototype);
    }
}
exports.ConcurrentAccessException = ConcurrentAccessException;
var Tag;
(function (Tag) {
    Tag.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Tag = exports.Tag || (exports.Tag = {}));
var CreateTopicInput;
(function (CreateTopicInput) {
    CreateTopicInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateTopicInput = exports.CreateTopicInput || (exports.CreateTopicInput = {}));
var CreateTopicResponse;
(function (CreateTopicResponse) {
    CreateTopicResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateTopicResponse = exports.CreateTopicResponse || (exports.CreateTopicResponse = {}));
class InvalidSecurityException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "InvalidSecurityException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidSecurityException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidSecurityException.prototype);
    }
}
exports.InvalidSecurityException = InvalidSecurityException;
class StaleTagException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "StaleTagException",
            $fault: "client",
            ...opts,
        });
        this.name = "StaleTagException";
        this.$fault = "client";
        Object.setPrototypeOf(this, StaleTagException.prototype);
    }
}
exports.StaleTagException = StaleTagException;
class TagLimitExceededException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "TagLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "TagLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TagLimitExceededException.prototype);
    }
}
exports.TagLimitExceededException = TagLimitExceededException;
class TagPolicyException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "TagPolicyException",
            $fault: "client",
            ...opts,
        });
        this.name = "TagPolicyException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TagPolicyException.prototype);
    }
}
exports.TagPolicyException = TagPolicyException;
class TopicLimitExceededException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "TopicLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "TopicLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TopicLimitExceededException.prototype);
    }
}
exports.TopicLimitExceededException = TopicLimitExceededException;
var DeleteEndpointInput;
(function (DeleteEndpointInput) {
    DeleteEndpointInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteEndpointInput = exports.DeleteEndpointInput || (exports.DeleteEndpointInput = {}));
var DeletePlatformApplicationInput;
(function (DeletePlatformApplicationInput) {
    DeletePlatformApplicationInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeletePlatformApplicationInput = exports.DeletePlatformApplicationInput || (exports.DeletePlatformApplicationInput = {}));
var DeleteSMSSandboxPhoneNumberInput;
(function (DeleteSMSSandboxPhoneNumberInput) {
    DeleteSMSSandboxPhoneNumberInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteSMSSandboxPhoneNumberInput = exports.DeleteSMSSandboxPhoneNumberInput || (exports.DeleteSMSSandboxPhoneNumberInput = {}));
var DeleteSMSSandboxPhoneNumberResult;
(function (DeleteSMSSandboxPhoneNumberResult) {
    DeleteSMSSandboxPhoneNumberResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteSMSSandboxPhoneNumberResult = exports.DeleteSMSSandboxPhoneNumberResult || (exports.DeleteSMSSandboxPhoneNumberResult = {}));
class ResourceNotFoundException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "ResourceNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceNotFoundException.prototype);
    }
}
exports.ResourceNotFoundException = ResourceNotFoundException;
var DeleteTopicInput;
(function (DeleteTopicInput) {
    DeleteTopicInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteTopicInput = exports.DeleteTopicInput || (exports.DeleteTopicInput = {}));
var GetEndpointAttributesInput;
(function (GetEndpointAttributesInput) {
    GetEndpointAttributesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetEndpointAttributesInput = exports.GetEndpointAttributesInput || (exports.GetEndpointAttributesInput = {}));
var GetEndpointAttributesResponse;
(function (GetEndpointAttributesResponse) {
    GetEndpointAttributesResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetEndpointAttributesResponse = exports.GetEndpointAttributesResponse || (exports.GetEndpointAttributesResponse = {}));
var GetPlatformApplicationAttributesInput;
(function (GetPlatformApplicationAttributesInput) {
    GetPlatformApplicationAttributesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetPlatformApplicationAttributesInput = exports.GetPlatformApplicationAttributesInput || (exports.GetPlatformApplicationAttributesInput = {}));
var GetPlatformApplicationAttributesResponse;
(function (GetPlatformApplicationAttributesResponse) {
    GetPlatformApplicationAttributesResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetPlatformApplicationAttributesResponse = exports.GetPlatformApplicationAttributesResponse || (exports.GetPlatformApplicationAttributesResponse = {}));
var GetSMSAttributesInput;
(function (GetSMSAttributesInput) {
    GetSMSAttributesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetSMSAttributesInput = exports.GetSMSAttributesInput || (exports.GetSMSAttributesInput = {}));
var GetSMSAttributesResponse;
(function (GetSMSAttributesResponse) {
    GetSMSAttributesResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetSMSAttributesResponse = exports.GetSMSAttributesResponse || (exports.GetSMSAttributesResponse = {}));
var GetSMSSandboxAccountStatusInput;
(function (GetSMSSandboxAccountStatusInput) {
    GetSMSSandboxAccountStatusInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetSMSSandboxAccountStatusInput = exports.GetSMSSandboxAccountStatusInput || (exports.GetSMSSandboxAccountStatusInput = {}));
var GetSMSSandboxAccountStatusResult;
(function (GetSMSSandboxAccountStatusResult) {
    GetSMSSandboxAccountStatusResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetSMSSandboxAccountStatusResult = exports.GetSMSSandboxAccountStatusResult || (exports.GetSMSSandboxAccountStatusResult = {}));
var GetSubscriptionAttributesInput;
(function (GetSubscriptionAttributesInput) {
    GetSubscriptionAttributesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetSubscriptionAttributesInput = exports.GetSubscriptionAttributesInput || (exports.GetSubscriptionAttributesInput = {}));
var GetSubscriptionAttributesResponse;
(function (GetSubscriptionAttributesResponse) {
    GetSubscriptionAttributesResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetSubscriptionAttributesResponse = exports.GetSubscriptionAttributesResponse || (exports.GetSubscriptionAttributesResponse = {}));
var GetTopicAttributesInput;
(function (GetTopicAttributesInput) {
    GetTopicAttributesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetTopicAttributesInput = exports.GetTopicAttributesInput || (exports.GetTopicAttributesInput = {}));
var GetTopicAttributesResponse;
(function (GetTopicAttributesResponse) {
    GetTopicAttributesResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetTopicAttributesResponse = exports.GetTopicAttributesResponse || (exports.GetTopicAttributesResponse = {}));
var ListEndpointsByPlatformApplicationInput;
(function (ListEndpointsByPlatformApplicationInput) {
    ListEndpointsByPlatformApplicationInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListEndpointsByPlatformApplicationInput = exports.ListEndpointsByPlatformApplicationInput || (exports.ListEndpointsByPlatformApplicationInput = {}));
var Endpoint;
(function (Endpoint) {
    Endpoint.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Endpoint = exports.Endpoint || (exports.Endpoint = {}));
var ListEndpointsByPlatformApplicationResponse;
(function (ListEndpointsByPlatformApplicationResponse) {
    ListEndpointsByPlatformApplicationResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListEndpointsByPlatformApplicationResponse = exports.ListEndpointsByPlatformApplicationResponse || (exports.ListEndpointsByPlatformApplicationResponse = {}));
var ListOriginationNumbersRequest;
(function (ListOriginationNumbersRequest) {
    ListOriginationNumbersRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListOriginationNumbersRequest = exports.ListOriginationNumbersRequest || (exports.ListOriginationNumbersRequest = {}));
var NumberCapability;
(function (NumberCapability) {
    NumberCapability["MMS"] = "MMS";
    NumberCapability["SMS"] = "SMS";
    NumberCapability["VOICE"] = "VOICE";
})(NumberCapability = exports.NumberCapability || (exports.NumberCapability = {}));
var RouteType;
(function (RouteType) {
    RouteType["Premium"] = "Premium";
    RouteType["Promotional"] = "Promotional";
    RouteType["Transactional"] = "Transactional";
})(RouteType = exports.RouteType || (exports.RouteType = {}));
var PhoneNumberInformation;
(function (PhoneNumberInformation) {
    PhoneNumberInformation.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PhoneNumberInformation = exports.PhoneNumberInformation || (exports.PhoneNumberInformation = {}));
var ListOriginationNumbersResult;
(function (ListOriginationNumbersResult) {
    ListOriginationNumbersResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListOriginationNumbersResult = exports.ListOriginationNumbersResult || (exports.ListOriginationNumbersResult = {}));
class ValidationException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "ValidationException",
            $fault: "client",
            ...opts,
        });
        this.name = "ValidationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ValidationException.prototype);
        this.Message = opts.Message;
    }
}
exports.ValidationException = ValidationException;
var ListPhoneNumbersOptedOutInput;
(function (ListPhoneNumbersOptedOutInput) {
    ListPhoneNumbersOptedOutInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListPhoneNumbersOptedOutInput = exports.ListPhoneNumbersOptedOutInput || (exports.ListPhoneNumbersOptedOutInput = {}));
var ListPhoneNumbersOptedOutResponse;
(function (ListPhoneNumbersOptedOutResponse) {
    ListPhoneNumbersOptedOutResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListPhoneNumbersOptedOutResponse = exports.ListPhoneNumbersOptedOutResponse || (exports.ListPhoneNumbersOptedOutResponse = {}));
var ListPlatformApplicationsInput;
(function (ListPlatformApplicationsInput) {
    ListPlatformApplicationsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListPlatformApplicationsInput = exports.ListPlatformApplicationsInput || (exports.ListPlatformApplicationsInput = {}));
var PlatformApplication;
(function (PlatformApplication) {
    PlatformApplication.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PlatformApplication = exports.PlatformApplication || (exports.PlatformApplication = {}));
var ListPlatformApplicationsResponse;
(function (ListPlatformApplicationsResponse) {
    ListPlatformApplicationsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListPlatformApplicationsResponse = exports.ListPlatformApplicationsResponse || (exports.ListPlatformApplicationsResponse = {}));
var ListSMSSandboxPhoneNumbersInput;
(function (ListSMSSandboxPhoneNumbersInput) {
    ListSMSSandboxPhoneNumbersInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListSMSSandboxPhoneNumbersInput = exports.ListSMSSandboxPhoneNumbersInput || (exports.ListSMSSandboxPhoneNumbersInput = {}));
var SMSSandboxPhoneNumberVerificationStatus;
(function (SMSSandboxPhoneNumberVerificationStatus) {
    SMSSandboxPhoneNumberVerificationStatus["Pending"] = "Pending";
    SMSSandboxPhoneNumberVerificationStatus["Verified"] = "Verified";
})(SMSSandboxPhoneNumberVerificationStatus = exports.SMSSandboxPhoneNumberVerificationStatus || (exports.SMSSandboxPhoneNumberVerificationStatus = {}));
var SMSSandboxPhoneNumber;
(function (SMSSandboxPhoneNumber) {
    SMSSandboxPhoneNumber.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SMSSandboxPhoneNumber = exports.SMSSandboxPhoneNumber || (exports.SMSSandboxPhoneNumber = {}));
var ListSMSSandboxPhoneNumbersResult;
(function (ListSMSSandboxPhoneNumbersResult) {
    ListSMSSandboxPhoneNumbersResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListSMSSandboxPhoneNumbersResult = exports.ListSMSSandboxPhoneNumbersResult || (exports.ListSMSSandboxPhoneNumbersResult = {}));
var ListSubscriptionsInput;
(function (ListSubscriptionsInput) {
    ListSubscriptionsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListSubscriptionsInput = exports.ListSubscriptionsInput || (exports.ListSubscriptionsInput = {}));
var Subscription;
(function (Subscription) {
    Subscription.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Subscription = exports.Subscription || (exports.Subscription = {}));
var ListSubscriptionsResponse;
(function (ListSubscriptionsResponse) {
    ListSubscriptionsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListSubscriptionsResponse = exports.ListSubscriptionsResponse || (exports.ListSubscriptionsResponse = {}));
var ListSubscriptionsByTopicInput;
(function (ListSubscriptionsByTopicInput) {
    ListSubscriptionsByTopicInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListSubscriptionsByTopicInput = exports.ListSubscriptionsByTopicInput || (exports.ListSubscriptionsByTopicInput = {}));
var ListSubscriptionsByTopicResponse;
(function (ListSubscriptionsByTopicResponse) {
    ListSubscriptionsByTopicResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListSubscriptionsByTopicResponse = exports.ListSubscriptionsByTopicResponse || (exports.ListSubscriptionsByTopicResponse = {}));
var ListTagsForResourceRequest;
(function (ListTagsForResourceRequest) {
    ListTagsForResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsForResourceRequest = exports.ListTagsForResourceRequest || (exports.ListTagsForResourceRequest = {}));
var ListTagsForResourceResponse;
(function (ListTagsForResourceResponse) {
    ListTagsForResourceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsForResourceResponse = exports.ListTagsForResourceResponse || (exports.ListTagsForResourceResponse = {}));
var ListTopicsInput;
(function (ListTopicsInput) {
    ListTopicsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTopicsInput = exports.ListTopicsInput || (exports.ListTopicsInput = {}));
var Topic;
(function (Topic) {
    Topic.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Topic = exports.Topic || (exports.Topic = {}));
var ListTopicsResponse;
(function (ListTopicsResponse) {
    ListTopicsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTopicsResponse = exports.ListTopicsResponse || (exports.ListTopicsResponse = {}));
var OptInPhoneNumberInput;
(function (OptInPhoneNumberInput) {
    OptInPhoneNumberInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(OptInPhoneNumberInput = exports.OptInPhoneNumberInput || (exports.OptInPhoneNumberInput = {}));
var OptInPhoneNumberResponse;
(function (OptInPhoneNumberResponse) {
    OptInPhoneNumberResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(OptInPhoneNumberResponse = exports.OptInPhoneNumberResponse || (exports.OptInPhoneNumberResponse = {}));
class EndpointDisabledException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "EndpointDisabledException",
            $fault: "client",
            ...opts,
        });
        this.name = "EndpointDisabledException";
        this.$fault = "client";
        Object.setPrototypeOf(this, EndpointDisabledException.prototype);
    }
}
exports.EndpointDisabledException = EndpointDisabledException;
class InvalidParameterValueException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "InvalidParameterValueException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidParameterValueException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidParameterValueException.prototype);
    }
}
exports.InvalidParameterValueException = InvalidParameterValueException;
class KMSAccessDeniedException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "KMSAccessDeniedException",
            $fault: "client",
            ...opts,
        });
        this.name = "KMSAccessDeniedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, KMSAccessDeniedException.prototype);
    }
}
exports.KMSAccessDeniedException = KMSAccessDeniedException;
class KMSDisabledException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "KMSDisabledException",
            $fault: "client",
            ...opts,
        });
        this.name = "KMSDisabledException";
        this.$fault = "client";
        Object.setPrototypeOf(this, KMSDisabledException.prototype);
    }
}
exports.KMSDisabledException = KMSDisabledException;
class KMSInvalidStateException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "KMSInvalidStateException",
            $fault: "client",
            ...opts,
        });
        this.name = "KMSInvalidStateException";
        this.$fault = "client";
        Object.setPrototypeOf(this, KMSInvalidStateException.prototype);
    }
}
exports.KMSInvalidStateException = KMSInvalidStateException;
class KMSNotFoundException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "KMSNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "KMSNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, KMSNotFoundException.prototype);
    }
}
exports.KMSNotFoundException = KMSNotFoundException;
class KMSOptInRequired extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "KMSOptInRequired",
            $fault: "client",
            ...opts,
        });
        this.name = "KMSOptInRequired";
        this.$fault = "client";
        Object.setPrototypeOf(this, KMSOptInRequired.prototype);
    }
}
exports.KMSOptInRequired = KMSOptInRequired;
class KMSThrottlingException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "KMSThrottlingException",
            $fault: "client",
            ...opts,
        });
        this.name = "KMSThrottlingException";
        this.$fault = "client";
        Object.setPrototypeOf(this, KMSThrottlingException.prototype);
    }
}
exports.KMSThrottlingException = KMSThrottlingException;
class PlatformApplicationDisabledException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "PlatformApplicationDisabledException",
            $fault: "client",
            ...opts,
        });
        this.name = "PlatformApplicationDisabledException";
        this.$fault = "client";
        Object.setPrototypeOf(this, PlatformApplicationDisabledException.prototype);
    }
}
exports.PlatformApplicationDisabledException = PlatformApplicationDisabledException;
var MessageAttributeValue;
(function (MessageAttributeValue) {
    MessageAttributeValue.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MessageAttributeValue = exports.MessageAttributeValue || (exports.MessageAttributeValue = {}));
var PublishInput;
(function (PublishInput) {
    PublishInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PublishInput = exports.PublishInput || (exports.PublishInput = {}));
var PublishResponse;
(function (PublishResponse) {
    PublishResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PublishResponse = exports.PublishResponse || (exports.PublishResponse = {}));
class BatchEntryIdsNotDistinctException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "BatchEntryIdsNotDistinctException",
            $fault: "client",
            ...opts,
        });
        this.name = "BatchEntryIdsNotDistinctException";
        this.$fault = "client";
        Object.setPrototypeOf(this, BatchEntryIdsNotDistinctException.prototype);
    }
}
exports.BatchEntryIdsNotDistinctException = BatchEntryIdsNotDistinctException;
class BatchRequestTooLongException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "BatchRequestTooLongException",
            $fault: "client",
            ...opts,
        });
        this.name = "BatchRequestTooLongException";
        this.$fault = "client";
        Object.setPrototypeOf(this, BatchRequestTooLongException.prototype);
    }
}
exports.BatchRequestTooLongException = BatchRequestTooLongException;
class EmptyBatchRequestException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "EmptyBatchRequestException",
            $fault: "client",
            ...opts,
        });
        this.name = "EmptyBatchRequestException";
        this.$fault = "client";
        Object.setPrototypeOf(this, EmptyBatchRequestException.prototype);
    }
}
exports.EmptyBatchRequestException = EmptyBatchRequestException;
class InvalidBatchEntryIdException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "InvalidBatchEntryIdException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidBatchEntryIdException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidBatchEntryIdException.prototype);
    }
}
exports.InvalidBatchEntryIdException = InvalidBatchEntryIdException;
var PublishBatchRequestEntry;
(function (PublishBatchRequestEntry) {
    PublishBatchRequestEntry.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PublishBatchRequestEntry = exports.PublishBatchRequestEntry || (exports.PublishBatchRequestEntry = {}));
var PublishBatchInput;
(function (PublishBatchInput) {
    PublishBatchInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PublishBatchInput = exports.PublishBatchInput || (exports.PublishBatchInput = {}));
var BatchResultErrorEntry;
(function (BatchResultErrorEntry) {
    BatchResultErrorEntry.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchResultErrorEntry = exports.BatchResultErrorEntry || (exports.BatchResultErrorEntry = {}));
var PublishBatchResultEntry;
(function (PublishBatchResultEntry) {
    PublishBatchResultEntry.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PublishBatchResultEntry = exports.PublishBatchResultEntry || (exports.PublishBatchResultEntry = {}));
var PublishBatchResponse;
(function (PublishBatchResponse) {
    PublishBatchResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PublishBatchResponse = exports.PublishBatchResponse || (exports.PublishBatchResponse = {}));
class TooManyEntriesInBatchRequestException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "TooManyEntriesInBatchRequestException",
            $fault: "client",
            ...opts,
        });
        this.name = "TooManyEntriesInBatchRequestException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TooManyEntriesInBatchRequestException.prototype);
    }
}
exports.TooManyEntriesInBatchRequestException = TooManyEntriesInBatchRequestException;
var RemovePermissionInput;
(function (RemovePermissionInput) {
    RemovePermissionInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RemovePermissionInput = exports.RemovePermissionInput || (exports.RemovePermissionInput = {}));
var SetEndpointAttributesInput;
(function (SetEndpointAttributesInput) {
    SetEndpointAttributesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SetEndpointAttributesInput = exports.SetEndpointAttributesInput || (exports.SetEndpointAttributesInput = {}));
var SetPlatformApplicationAttributesInput;
(function (SetPlatformApplicationAttributesInput) {
    SetPlatformApplicationAttributesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SetPlatformApplicationAttributesInput = exports.SetPlatformApplicationAttributesInput || (exports.SetPlatformApplicationAttributesInput = {}));
var SetSMSAttributesInput;
(function (SetSMSAttributesInput) {
    SetSMSAttributesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SetSMSAttributesInput = exports.SetSMSAttributesInput || (exports.SetSMSAttributesInput = {}));
var SetSMSAttributesResponse;
(function (SetSMSAttributesResponse) {
    SetSMSAttributesResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SetSMSAttributesResponse = exports.SetSMSAttributesResponse || (exports.SetSMSAttributesResponse = {}));
var SetSubscriptionAttributesInput;
(function (SetSubscriptionAttributesInput) {
    SetSubscriptionAttributesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SetSubscriptionAttributesInput = exports.SetSubscriptionAttributesInput || (exports.SetSubscriptionAttributesInput = {}));
var SetTopicAttributesInput;
(function (SetTopicAttributesInput) {
    SetTopicAttributesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SetTopicAttributesInput = exports.SetTopicAttributesInput || (exports.SetTopicAttributesInput = {}));
var SubscribeInput;
(function (SubscribeInput) {
    SubscribeInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SubscribeInput = exports.SubscribeInput || (exports.SubscribeInput = {}));
var SubscribeResponse;
(function (SubscribeResponse) {
    SubscribeResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SubscribeResponse = exports.SubscribeResponse || (exports.SubscribeResponse = {}));
var TagResourceRequest;
(function (TagResourceRequest) {
    TagResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagResourceRequest = exports.TagResourceRequest || (exports.TagResourceRequest = {}));
var TagResourceResponse;
(function (TagResourceResponse) {
    TagResourceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagResourceResponse = exports.TagResourceResponse || (exports.TagResourceResponse = {}));
var UnsubscribeInput;
(function (UnsubscribeInput) {
    UnsubscribeInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UnsubscribeInput = exports.UnsubscribeInput || (exports.UnsubscribeInput = {}));
var UntagResourceRequest;
(function (UntagResourceRequest) {
    UntagResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UntagResourceRequest = exports.UntagResourceRequest || (exports.UntagResourceRequest = {}));
var UntagResourceResponse;
(function (UntagResourceResponse) {
    UntagResourceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UntagResourceResponse = exports.UntagResourceResponse || (exports.UntagResourceResponse = {}));
class VerificationException extends SNSServiceException_1.SNSServiceException {
    constructor(opts) {
        super({
            name: "VerificationException",
            $fault: "client",
            ...opts,
        });
        this.name = "VerificationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, VerificationException.prototype);
        this.Message = opts.Message;
        this.Status = opts.Status;
    }
}
exports.VerificationException = VerificationException;
var VerifySMSSandboxPhoneNumberInput;
(function (VerifySMSSandboxPhoneNumberInput) {
    VerifySMSSandboxPhoneNumberInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(VerifySMSSandboxPhoneNumberInput = exports.VerifySMSSandboxPhoneNumberInput || (exports.VerifySMSSandboxPhoneNumberInput = {}));
var VerifySMSSandboxPhoneNumberResult;
(function (VerifySMSSandboxPhoneNumberResult) {
    VerifySMSSandboxPhoneNumberResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(VerifySMSSandboxPhoneNumberResult = exports.VerifySMSSandboxPhoneNumberResult || (exports.VerifySMSSandboxPhoneNumberResult = {}));
