import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { AddPermissionInput } from "../models/models_0";
import { deserializeAws_queryAddPermissionCommand, serializeAws_queryAddPermissionCommand, } from "../protocols/Aws_query";
var AddPermissionCommand = (function (_super) {
    __extends(AddPermissionCommand, _super);
    function AddPermissionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    AddPermissionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SNSClient";
        var commandName = "AddPermissionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: AddPermissionInput.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    AddPermissionCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryAddPermissionCommand(input, context);
    };
    AddPermissionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryAddPermissionCommand(output, context);
    };
    return AddPermissionCommand;
}($Command));
export { AddPermissionCommand };
