import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreatePlatformApplicationInput, CreatePlatformApplicationResponse } from "../models/models_0";
import { deserializeAws_queryCreatePlatformApplicationCommand, serializeAws_queryCreatePlatformApplicationCommand, } from "../protocols/Aws_query";
var CreatePlatformApplicationCommand = (function (_super) {
    __extends(CreatePlatformApplicationCommand, _super);
    function CreatePlatformApplicationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreatePlatformApplicationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SNSClient";
        var commandName = "CreatePlatformApplicationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreatePlatformApplicationInput.filterSensitiveLog,
            outputFilterSensitiveLog: CreatePlatformApplicationResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreatePlatformApplicationCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryCreatePlatformApplicationCommand(input, context);
    };
    CreatePlatformApplicationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryCreatePlatformApplicationCommand(output, context);
    };
    return CreatePlatformApplicationCommand;
}($Command));
export { CreatePlatformApplicationCommand };
