import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeletePlatformApplicationInput } from "../models/models_0";
import { deserializeAws_queryDeletePlatformApplicationCommand, serializeAws_queryDeletePlatformApplicationCommand, } from "../protocols/Aws_query";
var DeletePlatformApplicationCommand = (function (_super) {
    __extends(DeletePlatformApplicationCommand, _super);
    function DeletePlatformApplicationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeletePlatformApplicationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SNSClient";
        var commandName = "DeletePlatformApplicationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeletePlatformApplicationInput.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeletePlatformApplicationCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryDeletePlatformApplicationCommand(input, context);
    };
    DeletePlatformApplicationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryDeletePlatformApplicationCommand(output, context);
    };
    return DeletePlatformApplicationCommand;
}($Command));
export { DeletePlatformApplicationCommand };
