import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetEndpointAttributesInput, GetEndpointAttributesResponse } from "../models/models_0";
import { deserializeAws_queryGetEndpointAttributesCommand, serializeAws_queryGetEndpointAttributesCommand, } from "../protocols/Aws_query";
var GetEndpointAttributesCommand = (function (_super) {
    __extends(GetEndpointAttributesCommand, _super);
    function GetEndpointAttributesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetEndpointAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SNSClient";
        var commandName = "GetEndpointAttributesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetEndpointAttributesInput.filterSensitiveLog,
            outputFilterSensitiveLog: GetEndpointAttributesResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetEndpointAttributesCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryGetEndpointAttributesCommand(input, context);
    };
    GetEndpointAttributesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryGetEndpointAttributesCommand(output, context);
    };
    return GetEndpointAttributesCommand;
}($Command));
export { GetEndpointAttributesCommand };
