import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetPlatformApplicationAttributesInput, GetPlatformApplicationAttributesResponse } from "../models/models_0";
import { deserializeAws_queryGetPlatformApplicationAttributesCommand, serializeAws_queryGetPlatformApplicationAttributesCommand, } from "../protocols/Aws_query";
var GetPlatformApplicationAttributesCommand = (function (_super) {
    __extends(GetPlatformApplicationAttributesCommand, _super);
    function GetPlatformApplicationAttributesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetPlatformApplicationAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SNSClient";
        var commandName = "GetPlatformApplicationAttributesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetPlatformApplicationAttributesInput.filterSensitiveLog,
            outputFilterSensitiveLog: GetPlatformApplicationAttributesResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetPlatformApplicationAttributesCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryGetPlatformApplicationAttributesCommand(input, context);
    };
    GetPlatformApplicationAttributesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryGetPlatformApplicationAttributesCommand(output, context);
    };
    return GetPlatformApplicationAttributesCommand;
}($Command));
export { GetPlatformApplicationAttributesCommand };
