import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetSMSAttributesInput, GetSMSAttributesResponse } from "../models/models_0";
import { deserializeAws_queryGetSMSAttributesCommand, serializeAws_queryGetSMSAttributesCommand, } from "../protocols/Aws_query";
var GetSMSAttributesCommand = (function (_super) {
    __extends(GetSMSAttributesCommand, _super);
    function GetSMSAttributesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetSMSAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SNSClient";
        var commandName = "GetSMSAttributesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetSMSAttributesInput.filterSensitiveLog,
            outputFilterSensitiveLog: GetSMSAttributesResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetSMSAttributesCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryGetSMSAttributesCommand(input, context);
    };
    GetSMSAttributesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryGetSMSAttributesCommand(output, context);
    };
    return GetSMSAttributesCommand;
}($Command));
export { GetSMSAttributesCommand };
