import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetSMSSandboxAccountStatusInput, GetSMSSandboxAccountStatusResult } from "../models/models_0";
import { deserializeAws_queryGetSMSSandboxAccountStatusCommand, serializeAws_queryGetSMSSandboxAccountStatusCommand, } from "../protocols/Aws_query";
var GetSMSSandboxAccountStatusCommand = (function (_super) {
    __extends(GetSMSSandboxAccountStatusCommand, _super);
    function GetSMSSandboxAccountStatusCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetSMSSandboxAccountStatusCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SNSClient";
        var commandName = "GetSMSSandboxAccountStatusCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetSMSSandboxAccountStatusInput.filterSensitiveLog,
            outputFilterSensitiveLog: GetSMSSandboxAccountStatusResult.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetSMSSandboxAccountStatusCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryGetSMSSandboxAccountStatusCommand(input, context);
    };
    GetSMSSandboxAccountStatusCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryGetSMSSandboxAccountStatusCommand(output, context);
    };
    return GetSMSSandboxAccountStatusCommand;
}($Command));
export { GetSMSSandboxAccountStatusCommand };
