import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetTopicAttributesInput, GetTopicAttributesResponse } from "../models/models_0";
import { deserializeAws_queryGetTopicAttributesCommand, serializeAws_queryGetTopicAttributesCommand, } from "../protocols/Aws_query";
var GetTopicAttributesCommand = (function (_super) {
    __extends(GetTopicAttributesCommand, _super);
    function GetTopicAttributesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetTopicAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SNSClient";
        var commandName = "GetTopicAttributesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetTopicAttributesInput.filterSensitiveLog,
            outputFilterSensitiveLog: GetTopicAttributesResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetTopicAttributesCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryGetTopicAttributesCommand(input, context);
    };
    GetTopicAttributesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryGetTopicAttributesCommand(output, context);
    };
    return GetTopicAttributesCommand;
}($Command));
export { GetTopicAttributesCommand };
