import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListEndpointsByPlatformApplicationInput, ListEndpointsByPlatformApplicationResponse, } from "../models/models_0";
import { deserializeAws_queryListEndpointsByPlatformApplicationCommand, serializeAws_queryListEndpointsByPlatformApplicationCommand, } from "../protocols/Aws_query";
var ListEndpointsByPlatformApplicationCommand = (function (_super) {
    __extends(ListEndpointsByPlatformApplicationCommand, _super);
    function ListEndpointsByPlatformApplicationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListEndpointsByPlatformApplicationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SNSClient";
        var commandName = "ListEndpointsByPlatformApplicationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListEndpointsByPlatformApplicationInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListEndpointsByPlatformApplicationResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListEndpointsByPlatformApplicationCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryListEndpointsByPlatformApplicationCommand(input, context);
    };
    ListEndpointsByPlatformApplicationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryListEndpointsByPlatformApplicationCommand(output, context);
    };
    return ListEndpointsByPlatformApplicationCommand;
}($Command));
export { ListEndpointsByPlatformApplicationCommand };
