import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListOriginationNumbersRequest, ListOriginationNumbersResult } from "../models/models_0";
import { deserializeAws_queryListOriginationNumbersCommand, serializeAws_queryListOriginationNumbersCommand, } from "../protocols/Aws_query";
var ListOriginationNumbersCommand = (function (_super) {
    __extends(ListOriginationNumbersCommand, _super);
    function ListOriginationNumbersCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListOriginationNumbersCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SNSClient";
        var commandName = "ListOriginationNumbersCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListOriginationNumbersRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListOriginationNumbersResult.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListOriginationNumbersCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryListOriginationNumbersCommand(input, context);
    };
    ListOriginationNumbersCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryListOriginationNumbersCommand(output, context);
    };
    return ListOriginationNumbersCommand;
}($Command));
export { ListOriginationNumbersCommand };
