import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListPhoneNumbersOptedOutInput, ListPhoneNumbersOptedOutResponse } from "../models/models_0";
import { deserializeAws_queryListPhoneNumbersOptedOutCommand, serializeAws_queryListPhoneNumbersOptedOutCommand, } from "../protocols/Aws_query";
var ListPhoneNumbersOptedOutCommand = (function (_super) {
    __extends(ListPhoneNumbersOptedOutCommand, _super);
    function ListPhoneNumbersOptedOutCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListPhoneNumbersOptedOutCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SNSClient";
        var commandName = "ListPhoneNumbersOptedOutCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListPhoneNumbersOptedOutInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListPhoneNumbersOptedOutResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListPhoneNumbersOptedOutCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryListPhoneNumbersOptedOutCommand(input, context);
    };
    ListPhoneNumbersOptedOutCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryListPhoneNumbersOptedOutCommand(output, context);
    };
    return ListPhoneNumbersOptedOutCommand;
}($Command));
export { ListPhoneNumbersOptedOutCommand };
