import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListSubscriptionsInput, ListSubscriptionsResponse } from "../models/models_0";
import { deserializeAws_queryListSubscriptionsCommand, serializeAws_queryListSubscriptionsCommand, } from "../protocols/Aws_query";
var ListSubscriptionsCommand = (function (_super) {
    __extends(ListSubscriptionsCommand, _super);
    function ListSubscriptionsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListSubscriptionsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SNSClient";
        var commandName = "ListSubscriptionsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListSubscriptionsInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListSubscriptionsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListSubscriptionsCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryListSubscriptionsCommand(input, context);
    };
    ListSubscriptionsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryListSubscriptionsCommand(output, context);
    };
    return ListSubscriptionsCommand;
}($Command));
export { ListSubscriptionsCommand };
