import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListTopicsInput, ListTopicsResponse } from "../models/models_0";
import { deserializeAws_queryListTopicsCommand, serializeAws_queryListTopicsCommand } from "../protocols/Aws_query";
var ListTopicsCommand = (function (_super) {
    __extends(ListTopicsCommand, _super);
    function ListTopicsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListTopicsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SNSClient";
        var commandName = "ListTopicsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListTopicsInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListTopicsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListTopicsCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryListTopicsCommand(input, context);
    };
    ListTopicsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryListTopicsCommand(output, context);
    };
    return ListTopicsCommand;
}($Command));
export { ListTopicsCommand };
