import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { PublishInput, PublishResponse } from "../models/models_0";
import { deserializeAws_queryPublishCommand, serializeAws_queryPublishCommand } from "../protocols/Aws_query";
var PublishCommand = (function (_super) {
    __extends(PublishCommand, _super);
    function PublishCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    PublishCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SNSClient";
        var commandName = "PublishCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: PublishInput.filterSensitiveLog,
            outputFilterSensitiveLog: PublishResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    PublishCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryPublishCommand(input, context);
    };
    PublishCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryPublishCommand(output, context);
    };
    return PublishCommand;
}($Command));
export { PublishCommand };
