import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { SetEndpointAttributesInput } from "../models/models_0";
import { deserializeAws_querySetEndpointAttributesCommand, serializeAws_querySetEndpointAttributesCommand, } from "../protocols/Aws_query";
var SetEndpointAttributesCommand = (function (_super) {
    __extends(SetEndpointAttributesCommand, _super);
    function SetEndpointAttributesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    SetEndpointAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SNSClient";
        var commandName = "SetEndpointAttributesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: SetEndpointAttributesInput.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    SetEndpointAttributesCommand.prototype.serialize = function (input, context) {
        return serializeAws_querySetEndpointAttributesCommand(input, context);
    };
    SetEndpointAttributesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_querySetEndpointAttributesCommand(output, context);
    };
    return SetEndpointAttributesCommand;
}($Command));
export { SetEndpointAttributesCommand };
