import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { SetSubscriptionAttributesInput } from "../models/models_0";
import { deserializeAws_querySetSubscriptionAttributesCommand, serializeAws_querySetSubscriptionAttributesCommand, } from "../protocols/Aws_query";
var SetSubscriptionAttributesCommand = (function (_super) {
    __extends(SetSubscriptionAttributesCommand, _super);
    function SetSubscriptionAttributesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    SetSubscriptionAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SNSClient";
        var commandName = "SetSubscriptionAttributesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: SetSubscriptionAttributesInput.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    SetSubscriptionAttributesCommand.prototype.serialize = function (input, context) {
        return serializeAws_querySetSubscriptionAttributesCommand(input, context);
    };
    SetSubscriptionAttributesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_querySetSubscriptionAttributesCommand(output, context);
    };
    return SetSubscriptionAttributesCommand;
}($Command));
export { SetSubscriptionAttributesCommand };
