import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { SetTopicAttributesInput } from "../models/models_0";
import { deserializeAws_querySetTopicAttributesCommand, serializeAws_querySetTopicAttributesCommand, } from "../protocols/Aws_query";
var SetTopicAttributesCommand = (function (_super) {
    __extends(SetTopicAttributesCommand, _super);
    function SetTopicAttributesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    SetTopicAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SNSClient";
        var commandName = "SetTopicAttributesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: SetTopicAttributesInput.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    SetTopicAttributesCommand.prototype.serialize = function (input, context) {
        return serializeAws_querySetTopicAttributesCommand(input, context);
    };
    SetTopicAttributesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_querySetTopicAttributesCommand(output, context);
    };
    return SetTopicAttributesCommand;
}($Command));
export { SetTopicAttributesCommand };
