import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { SubscribeInput, SubscribeResponse } from "../models/models_0";
import { deserializeAws_querySubscribeCommand, serializeAws_querySubscribeCommand } from "../protocols/Aws_query";
var SubscribeCommand = (function (_super) {
    __extends(SubscribeCommand, _super);
    function SubscribeCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    SubscribeCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SNSClient";
        var commandName = "SubscribeCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: SubscribeInput.filterSensitiveLog,
            outputFilterSensitiveLog: SubscribeResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    SubscribeCommand.prototype.serialize = function (input, context) {
        return serializeAws_querySubscribeCommand(input, context);
    };
    SubscribeCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_querySubscribeCommand(output, context);
    };
    return SubscribeCommand;
}($Command));
export { SubscribeCommand };
