import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UnsubscribeInput } from "../models/models_0";
import { deserializeAws_queryUnsubscribeCommand, serializeAws_queryUnsubscribeCommand } from "../protocols/Aws_query";
var UnsubscribeCommand = (function (_super) {
    __extends(UnsubscribeCommand, _super);
    function UnsubscribeCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UnsubscribeCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SNSClient";
        var commandName = "UnsubscribeCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UnsubscribeInput.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UnsubscribeCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryUnsubscribeCommand(input, context);
    };
    UnsubscribeCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryUnsubscribeCommand(output, context);
    };
    return UnsubscribeCommand;
}($Command));
export { UnsubscribeCommand };
