import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateEndpointResponse, CreatePlatformEndpointInput } from "../models/models_0";
import { ServiceInputTypes, ServiceOutputTypes, SNSClientResolvedConfig } from "../SNSClient";
export interface CreatePlatformEndpointCommandInput extends CreatePlatformEndpointInput {
}
export interface CreatePlatformEndpointCommandOutput extends CreateEndpointResponse, __MetadataBearer {
}

export declare class CreatePlatformEndpointCommand extends $Command<CreatePlatformEndpointCommandInput, CreatePlatformEndpointCommandOutput, SNSClientResolvedConfig> {
    readonly input: CreatePlatformEndpointCommandInput;
    constructor(input: CreatePlatformEndpointCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SNSClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreatePlatformEndpointCommandInput, CreatePlatformEndpointCommandOutput>;
    private serialize;
    private deserialize;
}
