import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeletePlatformApplicationInput } from "../models/models_0";
import { ServiceInputTypes, ServiceOutputTypes, SNSClientResolvedConfig } from "../SNSClient";
export interface DeletePlatformApplicationCommandInput extends DeletePlatformApplicationInput {
}
export interface DeletePlatformApplicationCommandOutput extends __MetadataBearer {
}

export declare class DeletePlatformApplicationCommand extends $Command<DeletePlatformApplicationCommandInput, DeletePlatformApplicationCommandOutput, SNSClientResolvedConfig> {
    readonly input: DeletePlatformApplicationCommandInput;
    constructor(input: DeletePlatformApplicationCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SNSClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeletePlatformApplicationCommandInput, DeletePlatformApplicationCommandOutput>;
    private serialize;
    private deserialize;
}
