import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { GetTopicAttributesInput, GetTopicAttributesResponse } from "../models/models_0";
import { ServiceInputTypes, ServiceOutputTypes, SNSClientResolvedConfig } from "../SNSClient";
export interface GetTopicAttributesCommandInput extends GetTopicAttributesInput {
}
export interface GetTopicAttributesCommandOutput extends GetTopicAttributesResponse, __MetadataBearer {
}

export declare class GetTopicAttributesCommand extends $Command<GetTopicAttributesCommandInput, GetTopicAttributesCommandOutput, SNSClientResolvedConfig> {
    readonly input: GetTopicAttributesCommandInput;
    constructor(input: GetTopicAttributesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SNSClientResolvedConfig, options?: __HttpHandlerOptions): Handler<GetTopicAttributesCommandInput, GetTopicAttributesCommandOutput>;
    private serialize;
    private deserialize;
}
