import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListOriginationNumbersRequest, ListOriginationNumbersResult } from "../models/models_0";
import { ServiceInputTypes, ServiceOutputTypes, SNSClientResolvedConfig } from "../SNSClient";
export interface ListOriginationNumbersCommandInput extends ListOriginationNumbersRequest {
}
export interface ListOriginationNumbersCommandOutput extends ListOriginationNumbersResult, __MetadataBearer {
}

export declare class ListOriginationNumbersCommand extends $Command<ListOriginationNumbersCommandInput, ListOriginationNumbersCommandOutput, SNSClientResolvedConfig> {
    readonly input: ListOriginationNumbersCommandInput;
    constructor(input: ListOriginationNumbersCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SNSClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListOriginationNumbersCommandInput, ListOriginationNumbersCommandOutput>;
    private serialize;
    private deserialize;
}
