import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import { AddPermissionCommandInput, AddPermissionCommandOutput } from "../commands/AddPermissionCommand";
import { CheckIfPhoneNumberIsOptedOutCommandInput, CheckIfPhoneNumberIsOptedOutCommandOutput } from "../commands/CheckIfPhoneNumberIsOptedOutCommand";
import { ConfirmSubscriptionCommandInput, ConfirmSubscriptionCommandOutput } from "../commands/ConfirmSubscriptionCommand";
import { CreatePlatformApplicationCommandInput, CreatePlatformApplicationCommandOutput } from "../commands/CreatePlatformApplicationCommand";
import { CreatePlatformEndpointCommandInput, CreatePlatformEndpointCommandOutput } from "../commands/CreatePlatformEndpointCommand";
import { CreateSMSSandboxPhoneNumberCommandInput, CreateSMSSandboxPhoneNumberCommandOutput } from "../commands/CreateSMSSandboxPhoneNumberCommand";
import { CreateTopicCommandInput, CreateTopicCommandOutput } from "../commands/CreateTopicCommand";
import { DeleteEndpointCommandInput, DeleteEndpointCommandOutput } from "../commands/DeleteEndpointCommand";
import { DeletePlatformApplicationCommandInput, DeletePlatformApplicationCommandOutput } from "../commands/DeletePlatformApplicationCommand";
import { DeleteSMSSandboxPhoneNumberCommandInput, DeleteSMSSandboxPhoneNumberCommandOutput } from "../commands/DeleteSMSSandboxPhoneNumberCommand";
import { DeleteTopicCommandInput, DeleteTopicCommandOutput } from "../commands/DeleteTopicCommand";
import { GetEndpointAttributesCommandInput, GetEndpointAttributesCommandOutput } from "../commands/GetEndpointAttributesCommand";
import { GetPlatformApplicationAttributesCommandInput, GetPlatformApplicationAttributesCommandOutput } from "../commands/GetPlatformApplicationAttributesCommand";
import { GetSMSAttributesCommandInput, GetSMSAttributesCommandOutput } from "../commands/GetSMSAttributesCommand";
import { GetSMSSandboxAccountStatusCommandInput, GetSMSSandboxAccountStatusCommandOutput } from "../commands/GetSMSSandboxAccountStatusCommand";
import { GetSubscriptionAttributesCommandInput, GetSubscriptionAttributesCommandOutput } from "../commands/GetSubscriptionAttributesCommand";
import { GetTopicAttributesCommandInput, GetTopicAttributesCommandOutput } from "../commands/GetTopicAttributesCommand";
import { ListEndpointsByPlatformApplicationCommandInput, ListEndpointsByPlatformApplicationCommandOutput } from "../commands/ListEndpointsByPlatformApplicationCommand";
import { ListOriginationNumbersCommandInput, ListOriginationNumbersCommandOutput } from "../commands/ListOriginationNumbersCommand";
import { ListPhoneNumbersOptedOutCommandInput, ListPhoneNumbersOptedOutCommandOutput } from "../commands/ListPhoneNumbersOptedOutCommand";
import { ListPlatformApplicationsCommandInput, ListPlatformApplicationsCommandOutput } from "../commands/ListPlatformApplicationsCommand";
import { ListSMSSandboxPhoneNumbersCommandInput, ListSMSSandboxPhoneNumbersCommandOutput } from "../commands/ListSMSSandboxPhoneNumbersCommand";
import { ListSubscriptionsByTopicCommandInput, ListSubscriptionsByTopicCommandOutput } from "../commands/ListSubscriptionsByTopicCommand";
import { ListSubscriptionsCommandInput, ListSubscriptionsCommandOutput } from "../commands/ListSubscriptionsCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { ListTopicsCommandInput, ListTopicsCommandOutput } from "../commands/ListTopicsCommand";
import { OptInPhoneNumberCommandInput, OptInPhoneNumberCommandOutput } from "../commands/OptInPhoneNumberCommand";
import { PublishBatchCommandInput, PublishBatchCommandOutput } from "../commands/PublishBatchCommand";
import { PublishCommandInput, PublishCommandOutput } from "../commands/PublishCommand";
import { RemovePermissionCommandInput, RemovePermissionCommandOutput } from "../commands/RemovePermissionCommand";
import { SetEndpointAttributesCommandInput, SetEndpointAttributesCommandOutput } from "../commands/SetEndpointAttributesCommand";
import { SetPlatformApplicationAttributesCommandInput, SetPlatformApplicationAttributesCommandOutput } from "../commands/SetPlatformApplicationAttributesCommand";
import { SetSMSAttributesCommandInput, SetSMSAttributesCommandOutput } from "../commands/SetSMSAttributesCommand";
import { SetSubscriptionAttributesCommandInput, SetSubscriptionAttributesCommandOutput } from "../commands/SetSubscriptionAttributesCommand";
import { SetTopicAttributesCommandInput, SetTopicAttributesCommandOutput } from "../commands/SetTopicAttributesCommand";
import { SubscribeCommandInput, SubscribeCommandOutput } from "../commands/SubscribeCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UnsubscribeCommandInput, UnsubscribeCommandOutput } from "../commands/UnsubscribeCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { VerifySMSSandboxPhoneNumberCommandInput, VerifySMSSandboxPhoneNumberCommandOutput } from "../commands/VerifySMSSandboxPhoneNumberCommand";
export declare const serializeAws_queryAddPermissionCommand: (input: AddPermissionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryCheckIfPhoneNumberIsOptedOutCommand: (input: CheckIfPhoneNumberIsOptedOutCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryConfirmSubscriptionCommand: (input: ConfirmSubscriptionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreatePlatformApplicationCommand: (input: CreatePlatformApplicationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreatePlatformEndpointCommand: (input: CreatePlatformEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateSMSSandboxPhoneNumberCommand: (input: CreateSMSSandboxPhoneNumberCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryCreateTopicCommand: (input: CreateTopicCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteEndpointCommand: (input: DeleteEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeletePlatformApplicationCommand: (input: DeletePlatformApplicationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteSMSSandboxPhoneNumberCommand: (input: DeleteSMSSandboxPhoneNumberCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryDeleteTopicCommand: (input: DeleteTopicCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetEndpointAttributesCommand: (input: GetEndpointAttributesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetPlatformApplicationAttributesCommand: (input: GetPlatformApplicationAttributesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetSMSAttributesCommand: (input: GetSMSAttributesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetSMSSandboxAccountStatusCommand: (input: GetSMSSandboxAccountStatusCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetSubscriptionAttributesCommand: (input: GetSubscriptionAttributesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryGetTopicAttributesCommand: (input: GetTopicAttributesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryListEndpointsByPlatformApplicationCommand: (input: ListEndpointsByPlatformApplicationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryListOriginationNumbersCommand: (input: ListOriginationNumbersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryListPhoneNumbersOptedOutCommand: (input: ListPhoneNumbersOptedOutCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryListPlatformApplicationsCommand: (input: ListPlatformApplicationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryListSMSSandboxPhoneNumbersCommand: (input: ListSMSSandboxPhoneNumbersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryListSubscriptionsCommand: (input: ListSubscriptionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryListSubscriptionsByTopicCommand: (input: ListSubscriptionsByTopicCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryListTopicsCommand: (input: ListTopicsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryOptInPhoneNumberCommand: (input: OptInPhoneNumberCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryPublishCommand: (input: PublishCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryPublishBatchCommand: (input: PublishBatchCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryRemovePermissionCommand: (input: RemovePermissionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_querySetEndpointAttributesCommand: (input: SetEndpointAttributesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_querySetPlatformApplicationAttributesCommand: (input: SetPlatformApplicationAttributesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_querySetSMSAttributesCommand: (input: SetSMSAttributesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_querySetSubscriptionAttributesCommand: (input: SetSubscriptionAttributesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_querySetTopicAttributesCommand: (input: SetTopicAttributesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_querySubscribeCommand: (input: SubscribeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryTagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryUnsubscribeCommand: (input: UnsubscribeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryUntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_queryVerifySMSSandboxPhoneNumberCommand: (input: VerifySMSSandboxPhoneNumberCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const deserializeAws_queryAddPermissionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AddPermissionCommandOutput>;
export declare const deserializeAws_queryCheckIfPhoneNumberIsOptedOutCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CheckIfPhoneNumberIsOptedOutCommandOutput>;
export declare const deserializeAws_queryConfirmSubscriptionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ConfirmSubscriptionCommandOutput>;
export declare const deserializeAws_queryCreatePlatformApplicationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreatePlatformApplicationCommandOutput>;
export declare const deserializeAws_queryCreatePlatformEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreatePlatformEndpointCommandOutput>;
export declare const deserializeAws_queryCreateSMSSandboxPhoneNumberCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateSMSSandboxPhoneNumberCommandOutput>;
export declare const deserializeAws_queryCreateTopicCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateTopicCommandOutput>;
export declare const deserializeAws_queryDeleteEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteEndpointCommandOutput>;
export declare const deserializeAws_queryDeletePlatformApplicationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeletePlatformApplicationCommandOutput>;
export declare const deserializeAws_queryDeleteSMSSandboxPhoneNumberCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteSMSSandboxPhoneNumberCommandOutput>;
export declare const deserializeAws_queryDeleteTopicCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteTopicCommandOutput>;
export declare const deserializeAws_queryGetEndpointAttributesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetEndpointAttributesCommandOutput>;
export declare const deserializeAws_queryGetPlatformApplicationAttributesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetPlatformApplicationAttributesCommandOutput>;
export declare const deserializeAws_queryGetSMSAttributesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetSMSAttributesCommandOutput>;
export declare const deserializeAws_queryGetSMSSandboxAccountStatusCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetSMSSandboxAccountStatusCommandOutput>;
export declare const deserializeAws_queryGetSubscriptionAttributesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetSubscriptionAttributesCommandOutput>;
export declare const deserializeAws_queryGetTopicAttributesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetTopicAttributesCommandOutput>;
export declare const deserializeAws_queryListEndpointsByPlatformApplicationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListEndpointsByPlatformApplicationCommandOutput>;
export declare const deserializeAws_queryListOriginationNumbersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListOriginationNumbersCommandOutput>;
export declare const deserializeAws_queryListPhoneNumbersOptedOutCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListPhoneNumbersOptedOutCommandOutput>;
export declare const deserializeAws_queryListPlatformApplicationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListPlatformApplicationsCommandOutput>;
export declare const deserializeAws_queryListSMSSandboxPhoneNumbersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListSMSSandboxPhoneNumbersCommandOutput>;
export declare const deserializeAws_queryListSubscriptionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListSubscriptionsCommandOutput>;
export declare const deserializeAws_queryListSubscriptionsByTopicCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListSubscriptionsByTopicCommandOutput>;
export declare const deserializeAws_queryListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
export declare const deserializeAws_queryListTopicsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTopicsCommandOutput>;
export declare const deserializeAws_queryOptInPhoneNumberCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<OptInPhoneNumberCommandOutput>;
export declare const deserializeAws_queryPublishCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PublishCommandOutput>;
export declare const deserializeAws_queryPublishBatchCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PublishBatchCommandOutput>;
export declare const deserializeAws_queryRemovePermissionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RemovePermissionCommandOutput>;
export declare const deserializeAws_querySetEndpointAttributesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SetEndpointAttributesCommandOutput>;
export declare const deserializeAws_querySetPlatformApplicationAttributesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SetPlatformApplicationAttributesCommandOutput>;
export declare const deserializeAws_querySetSMSAttributesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SetSMSAttributesCommandOutput>;
export declare const deserializeAws_querySetSubscriptionAttributesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SetSubscriptionAttributesCommandOutput>;
export declare const deserializeAws_querySetTopicAttributesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SetTopicAttributesCommandOutput>;
export declare const deserializeAws_querySubscribeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SubscribeCommandOutput>;
export declare const deserializeAws_queryTagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
export declare const deserializeAws_queryUnsubscribeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UnsubscribeCommandOutput>;
export declare const deserializeAws_queryUntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
export declare const deserializeAws_queryVerifySMSSandboxPhoneNumberCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<VerifySMSSandboxPhoneNumberCommandOutput>;
